module ApplicationHelper

  def currently_viewing_results_of(name)
    render "results/results_nav", current_tab: name
  end

  def currently_viewing_tag_named(name)
    render "tags/tags_nav", current_tab: name
  end

  def currently_importing(name)
    render "imports/imports_nav", current_tab: name
  end

  def currently_setting(name)
    render "settings/settings_nav", current_tab: name
  end

  def currently_at(name)
    render "index/main_nav", current_tab: name
  end

  def nav_tab(title, options = {})
    current_tab = options.delete(:current_tab)
    options[:class] = "#{options[:class]} #{(current_tab == title) ? 'active' : 'inactive'}"
    content = yield
    content_tag(:li, content, options)
  end

  def date_to_millis(date)
    date.to_time.to_i
  end

end
